const CacheLocales = {};
export function getLocale(locale) {
    const cacheLocale = CacheLocales[locale];
    if (cacheLocale) {
        return cacheLocale;
    }
    throw new Error(`Use registerLocale before`);
}
export function registerLocale(locale) {
    CacheLocales[locale.name] = locale;
}
export function loadLocale(locale) {
    import(`../locales/${locale}.locale`).then((d) => {
        registerLocale(d.default || d);
    });
}
